Correct expression to match gcc version.
authordrepper <drepper>
Tue, 21 Jul 1998 20:09:22 +0000 (20:09 +0000)
committerdrepper <drepper>
Tue, 21 Jul 1998 20:09:22 +0000 (20:09 +0000)
configure.in

index 432d7b9..be345ed 100644 (file)
@@ -451,8 +451,8 @@ AC_PROG_LN_S
 # These programs are version sensitive.
 AC_REQUIRE([AC_CHECK_TOOL_PREFIX])dnl
 AC_CHECK_PROG_VER(CC, ${ac_tool_prefix}gcc ${ac_tool_prefix}cc, -v,
-  [version \([egcst0-9.-]*\)],
-  [egcs-2.9[1-9].*|egcs-2.90.2[789]|egcs-2.90.[3-9][0-9]|*2.8.[1-9]*|*2.9.[0-9]*],
+  [version \([egcst-]*[0-9.]*\)],
+  [egcs-2.9[1-9].*|egcs-2.90.2[789]|egcs-2.90.[3-9][0-9]|*2.8.[1-9]*|*2.9|*2.9.[0-9]*],
   critic_missing=t)
 AC_CHECK_PROG_VER(MAKE, make gmake, --version,
   [version \([0-9][0-9.]*\), by],